# Module `awful.wibox`

### Info:

- Author: Julien Danjou <julien@danjou.info>
- Copyright: 2009 Julien Danjou
- Release: v3.5.1

## Functions

awfulwibox.get_position (wibox) | Get a wibox position if it has been set, or return top.
awfulwibox.set_position (wibox, position, screen) | Put a wibox on a screen at this position.
awfulwibox.attach (wibox, position, screen) | Attach a wibox to a screen.
awfulwibox.align (wibox, align, screen) | Align a wibox.
awfulwibox.stretch (wibox, screen) | Stretch a wibox so it takes all screen width or height.
awfulwibox.new (args) | Create a new wibox and attach it to a screen edge.

## Tables

awfulwibox | Wibox module for awful.

## Functions

awfulwibox.get_position (wibox)
  Get a wibox position if it has been set, or return top.

  ### Parameters:

  - wibox The wibox

  ### Returns:

  The wibox position.
awfulwibox.set_position (wibox, position, screen)
  Put a wibox on a screen at this position. screen the position should be set.

  ### Parameters:

  - wibox The wibox to attach.
  - position The position: top, bottom left or right.
  - screen If the wibox it not attached to a screen, specified on which
awfulwibox.attach (wibox, position, screen)
  Attach a wibox to a screen. If a wibox is attached, it will be automatically be moved when other wiboxes will be attached.

  ### Parameters:

  - wibox The wibox to attach.
  - position The position of the wibox: top, bottom, left or right.
  - screen TODO, this seems to be unused
awfulwibox.align (wibox, align, screen)
  Align a wibox. screen where to align. Otherwise 1 is assumed.

  ### Parameters:

  - wibox The wibox.
  - align The alignment: left, right or center.
  - screen If the wibox is not attached to any screen, you can specify the
awfulwibox.stretch (wibox, screen)
  Stretch a wibox so it takes all screen width or height.

  ### Parameters:

  - wibox The wibox.
  - screen The screen to stretch on, or the wibox screen.
awfulwibox.new (args)
  Create a new wibox and attach it to a screen edge. You can add also position key with value top, bottom, left or right. You can also use width or height in % and set align to center, right or left. You can also set the screen key with a screen number to attach the wibox. If not specified, 1 is assumed.

  ### Parameters:

  - args A table with standard arguments to wibox() creator.

  ### Returns:

  The wibox created.

  ### see also:

  wibox

## Tables

awfulwibox
  Wibox module for awful. This module allows you to easily create wibox and attach them to the edge of a screen. awful.wibox

  ### Fields:

  - mt

generated by LDoc 1.3